Handle revision ID 0 as an error in the deadlink logging API
Closed, ResolvedPublic3 Story Points

Description

We should add a new status to the status field in the datbase for "failed". If the revision ID is 0, the API should override the status and set it as failed. It should also switch any fixed links to "not fixed".

Also, we should delete all records currently in the database with revision ID 0 since the data is bogus.

kaldari created this task.Mar 28 2016, 6:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2016, 6:23 PM
kaldari set the point value for this task to 2.Mar 28 2016, 6:24 PM
kaldari triaged this task as "Normal" priority.
kaldari edited the task description. (Show Details)
kaldari changed the point value for this task from 2 to 3.
kaldari added a subscriber: Niharika.

One more small request: Could you set the row background to be light red if the status is failed? That way it's more obvious that there was an error in those cases.

kaldari closed this task as "Resolved".Apr 8 2016, 4:51 PM
kaldari moved this task from Needs Review/Feedback to Done on the Community-Tech-Sprint board.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.May 3 2016, 4:19 PM